MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026434Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-14 17:122016-12-09 16:38
Reporterduv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0026434: Visualization - Textured objects should have priority over the environment mapping
DescriptionIn Advanced Visualization Demo, environment mapping applied to OCCT logo sprite.
Steps To Reproducetest bugs vis bug26434
TagsNo tags attached.
Test case numberbugs vis bug26434
Attached Files

- Relationships
has duplicate 0025884closedbugmaster Visualization - Override environment texture by object-level texture 

-  Notes
(0043012)
git (administrator)
2015-07-14 17:38

Branch CR26434 has been created by duv.

SHA-1: 0260688a875a217cff8a2d4fa7165f1444b305e7


Detailed log of new commits:

Author: duv
Date: Tue Jul 14 17:37:27 2015 +0300

    0026434: Textured objects should have priority over the environment mapping
(0043017)
san (developer)
2015-07-14 19:32

Please, provide a test case (a textured shape + a non-textured shape with environment mapping enabled)
(0049021)
git (administrator)
2015-12-11 13:04

Branch CR26434 has been updated forcibly by isk.

SHA-1: 0fe2f681425db159ee4a468b05d0793dd3f0a56b
(0049022)
isk (developer)
2015-12-11 13:04

Branch CR26434 has been rebased on the current master.
Add test case.
(0049029)
isk (developer)
2015-12-11 13:45

Dear Kirill,
please review the branch CR26434.
(0049031)
git (administrator)
2015-12-11 14:01

Branch CR26434 has been updated forcibly by isk.

SHA-1: 19495ed2b6a7b88d73f5b36a77d75d11a4d5406a
(0049032)
isk (developer)
2015-12-11 14:02

Drop redundant file.
(0050196)
git (administrator)
2016-01-28 14:51

Branch CR26434 has been updated forcibly by isk.

SHA-1: d78d976e4b9a26522b31ffaff4e8f0bb2fade070
(0050216)
git (administrator)
2016-01-28 17:20

Branch CR26434 has been updated forcibly by isk.

SHA-1: 99f817e3152bb981f168e546c7c3aaac63cbac98
(0050217)
isk (developer)
2016-01-28 17:21

Branch CR26434 was rebased on current master.
(0050219)
isk (developer)
2016-01-29 08:20

Dear Kirill,
please review the branch CR26434.
(0050262)
kgv (developer)
2016-01-30 17:52

+box b0 -1 -1 - 1 2 3

there is misprint in test case.

Zbuffer is now displayed with applied environment texture, which is not expected result:
pload MODELING VISUALIZATION
vclear
vclose all
vinit View1
vsetdispmode 1
box b0 -1 -1 -1 1 2 3
box b1  1  1  1 1 2 3
vdisplay b0 b1
vfit
vtexture b1 0
vtextureenv on 0
vzbufftrihedron
(0050332)
git (administrator)
2016-02-02 11:13

Branch CR26434 has been updated by isk.

SHA-1: c8a6e6b346cca0c03abf100f064be5fd3fdeb0c8


Detailed log of new commits:

Author: isk
Date: Tue Feb 2 11:13:42 2016 +0300

    Add a new parameter IsUseEnvironmentTexture to the Graphic3d_ZLayerSettings.
    OSD layers don't use environmnet texture by default.

Author: isk
Date: Tue Feb 2 09:43:11 2016 +0300

    zbuffertrihedron doesn't use environment texture.
    fix test case.

(0050333)
git (administrator)
2016-02-02 12:25

Branch CR26434 has been updated by isk.

SHA-1: c50331a93564137ad638c4235cf3e68c1a504b0d


Detailed log of new commits:

Author: isk
Date: Tue Feb 2 12:22:19 2016 +0300

    fix remarks.
    
    Conflicts:
        src/OpenGl/OpenGl_Layer.cxx
        src/OpenGl/OpenGl_Trihedron.cxx

(0050338)
git (administrator)
2016-02-02 14:21

Branch CR26434_1 has been created by isk.

SHA-1: fd16a00c89c5755fa7ed077a4d8795d6af8dad2e


Detailed log of new commits:

Author: isk
Date: Tue Feb 2 14:18:47 2016 +0300

    0026434: Visualization - Textured objects should have priority over the environment mapping.
    Add handle on environment texture in OpenGl_Workspace.
    Add a new parameter UseEnvironmentTexture to the Graphic3d_ZLayerSettings.
    OSD layers don't use environment texture by default.
    zbuffertrihedron doesn't use environment texture.
    vzlayer can enable/disable environment texture mappping.
(0050339)
git (administrator)
2016-02-02 14:23

Branch CR26434 has been updated forcibly by isk.

SHA-1: 9c4195c24714dea27ab7dff626bea1d0c1c7691e
(0050340)
isk (developer)
2016-02-02 14:24

Update commit message
(0050341)
isk (developer)
2016-02-02 14:28

Dear Kirill,
please review the branch CR26434_1.
(0050344)
git (administrator)
2016-02-02 14:59

Branch CR26434_1 has been updated forcibly by isk.

SHA-1: 101b6778028904f96f0d1508b1317230b29df409
(0050416)
git (administrator)
2016-02-04 13:32

Branch CR26434_1 has been updated by isk.

SHA-1: 827cd3226c2ce2d44630de3fc22e66dc0be0ec64


Detailed log of new commits:

Author: isk
Date: Wed Feb 3 14:17:30 2016 +0300

    Delete unnecessary files Graphic3d_TypeOfSurfaceDetail.hxx and V3d_TypeOfSurface.hxx.
    Delete functions SurfaceDetailType and SetSurfaceDetailType functions from Graphic3d_CView.
    Delete functions SurfaceDetailState and UpdateSurfaceDetailStateTo from OpenGl_ShaderManager.
    Delete class OpenGl_SurfaceDetailState.
    Delete functions SurfaceDetailType and SetSurfaceDetailType from OpenGl_View.
    Delete functions SetSurfaceDetail and SurfaceDetail() from V3d_View.
    Delete functions SetDefaultSurfaceDetail and DefaultSurfaceDetail from V3d_Viewer.
    Delete draw command VSetTextureMode.

(0050434)
git (administrator)
2016-02-05 10:55

Branch CR26434_1 has been updated by isk.

SHA-1: 24654c9215cd839c7bd7fc9a3b697866a1fa91e6


Detailed log of new commits:

Author: isk
Date: Fri Feb 5 10:55:03 2016 +0300

    Add description in dox.

(0050871)
git (administrator)
2016-02-17 14:25

Branch CR26434_2 has been created by isk.

SHA-1: 4d2f8e7955ed31ee56f31b2d66dc79e22f69f82c


No new revisions were added by this update.
(0051787)
kgv (developer)
2016-03-18 15:20

Fix makes programmable pipeline to render everything black.
pload MODELING VISUALIZATION
box b 1 2 3
vinit View1
vsetdispmode 1
vdisplay b
vfit
vcaps -ffp 0
(0051947)
git (administrator)
2016-03-24 13:27

Branch CR26434_2 has been updated by isk.

SHA-1: 6f2978e67da3fcc5fee6a3ef692f84f9fbcff305


Detailed log of new commits:

Author: isk
Date: Thu Mar 24 13:27:28 2016 +0300

    Fix problem with disabled ffp and empty environment texture.

(0051971)
git (administrator)
2016-03-25 10:29

Branch CR26434_2 has been updated by isk.

SHA-1: d721eb0a6f0f567444e5ae68a87fdedb815aff36


Detailed log of new commits:

Author: isk
Date: Fri Mar 25 10:29:04 2016 +0300

    Update using environment texture condition.

(0051996)
git (administrator)
2016-03-25 13:25

Branch CR26434_2 has been updated by isk.

SHA-1: 61f0ff2a32cc81409b51c47c59d8241b037d8766


Detailed log of new commits:

Author: isk
Date: Fri Mar 25 13:24:58 2016 +0300

    Update using environment texture condition.

(0052000)
git (administrator)
2016-03-25 14:02

Branch CR26434_2 has been updated forcibly by isk.

SHA-1: 57e007a2fa88235f92f5a532dcf15b71f0466a6c
(0052001)
isk (developer)
2016-03-25 14:03

Rebase the branch on the current master.
Fix remarks by Kirill.
(0052016)
git (administrator)
2016-03-25 15:35

Branch CR26434_2 has been updated forcibly by isk.

SHA-1: 43a10c3f32e9c8c6e427a5dfb6985a400776573c
(0052047)
kgv (developer)
2016-03-28 08:43

Patch is ready for testing.
(0052072)
git (administrator)
2016-03-28 15:21

Branch CR26434_2 has been updated by isk.

SHA-1: 6e888b187d6646dfa2cab421e51c94391a78232e


Detailed log of new commits:

Author: isk
Date: Mon Mar 28 15:21:10 2016 +0300

    Fix OpenGl_Workspace::FBOCreate() - add a call DisableTexture.

(0052091)
git (administrator)
2016-03-29 07:52

Branch CR26434_2 has been updated forcibly by isk.

SHA-1: 67fe9b7bc9d9c82d8710f8bf7508e977fbd39e0f
(0052092)
isk (developer)
2016-03-29 07:54

Dear Kirill,
Please review the branch CR26434_2.
(0052100)
kgv (developer)
2016-03-29 11:33

Updated patch is ready for testing.
(0052105)
git (administrator)
2016-03-29 12:48

Branch CR26434_2 has been updated forcibly by apv.

SHA-1: fc83218ced71f4d2ec6d3cb6d1f8f057c3a209d8
(0052106)
apv (tester)
2016-03-29 12:48

Branch CR26434_2 has been rebased on the IR-2016-03-28
(0052179)
apv (tester)
2016-03-30 13:11
edited on: 2016-03-30 13:13

Dear BugMaster,

Branch CR26434_2 from occt git-repository (and IR-2016-03-28 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: fc83218ced71f4d2ec6d3cb6d1f8f057c3a209d8

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 0 (0 on master)
products component:
   Linux: 68
   Windows: 0
   MacOS: 1116

Compilation errors have been detected during building
OCCT Qt samples on Linux:
http://jenkins-test-05.nnov.opencascade.com/view/CR26434_2-IR-2016-03-28/job/CR26434_2-IR-2016-03-28-OCCT-Debian70-64-qt-samples-linux/1/parsed_console/ [^]
OCCT MFC samples on Windows:
http://jenkins-test-05.nnov.opencascade.com/view/CR26434_2-IR-2016-03-28/job/CR26434_2-IR-2016-03-28-OCCT-Windows-64-VC10-mfc-samples/1/parsed_console/ [^]
OCCT Qt samples on Windows:
http://jenkins-test-05.nnov.opencascade.com/view/CR26434_2-IR-2016-03-28/job/CR26434_2-IR-2016-03-28-OCCT-Windows-64-VC10-qt-samples-windows/1/parsed_console/ [^]
Products Qt samples on Linux:
http://jenkins-test-05.nnov.opencascade.com/view/CR26434_2-IR-2016-03-28/job/CR26434_2-IR-2016-03-28-Products-Debian70-64-qt-samples-linux/1/parsed_console/ [^]
Products C# samples on Windows:
http://jenkins-test-05.nnov.opencascade.com/view/CR26434_2-IR-2016-03-28/job/CR26434_2-IR-2016-03-28-Products-Windows-64-VC10-csharp-samples/1/parsed_console/ [^]
Products Java samples on Windows:
http://jenkins-test-05.nnov.opencascade.com/view/CR26434_2-IR-2016-03-28/job/CR26434_2-IR-2016-03-28-Products-Windows-64-VC10-java-samples/1/parsed_console/ [^]
Products Qt samples on Windows:
http://jenkins-test-05.nnov.opencascade.com/view/CR26434_2-IR-2016-03-28/job/CR26434_2-IR-2016-03-28-Products-Windows-64-VC10-qt-samples-windows/1/parsed_console/ [^]

Regressions/Differences:
http://occt-tests/CR26434_2-IR-2016-03-28-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR26434_2-IR-2016-03-28-OCCT/Windows-64-VC10/summary.html [^]
bugs vis bug24622
demo samples dimensions, dimensionsglsl

Testing cases:
bugs vis bug26434 - OK
http://occt-tests/CR26434_2-IR-2016-03-28-OCCT/Debian70-64/bugs/vis/bug26434.html [^]
http://occt-tests/CR26434_2-IR-2016-03-28-OCCT/Windows-64-VC10/bugs/vis/bug26434.html [^]

CPU problematic test cases have been detected:
v3d materials bug24872_2: 4.3992282 / 2.9172187 [+50.80%]
v3d materials bug24855: 6.4116411 / 3.7128238 [+72.69%]
v3d raytrace bug26617: 4.7580305 / 2.9952192 [+58.85%]
v3d raytrace bug24130: 3.7128238 / 2.1684139 [+71.22%]
v3d raytrace bug25201: 21.4501375 / 9.7500625 [+120.00%]

Testing on Linux:
Total MEMORY difference: 89723018 / 90054518 [-0.37%]
Total CPU difference: 19228.830000000136 / 19399.89000000011 [-0.88%]

Testing on Windows:
Total MEMORY difference: 57488968 / 57506038 [-0.03%]
Total CPU difference: 18297.731692398847 / 18038.551630998816 [+1.44%]

There are differences in images found by testdiff:
http://occt-tests/CR26434_2-IR-2016-03-28-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26434_2-IR-2016-03-28-OCCT/Windows-64-VC10/diff-Windows-64-VC10.html [^]
v3d materials bug24855
v3d raytrace bug24130
bugs moddata_1 bug22761

(0052180)
apv (tester)
2016-03-30 13:15

Dear isk,

Branch CR26434_2 has been rejected due to:
- compilation errors
- regressions/differences/improvements
- CPU problem
- differences in images
(0052282)
git (administrator)
2016-04-01 11:54

Branch CR26434_2 has been updated by isk.

SHA-1: 9c2f1ed2fb12a6c78648f64f3f3456e998fbb0b2


Detailed log of new commits:

Author: isk
Date: Fri Apr 1 11:46:01 2016 +0300

    Fix regressions.

(0052421)
git (administrator)
2016-04-06 10:45

Branch CR26434_3 has been created by isk.

SHA-1: 6541d1341a7ee37aa326ebbed8b1a2fa7971a056


Detailed log of new commits:

Author: isk
Date: Tue Mar 29 07:22:42 2016 +0300

    0026434: Visualization - Textured objects should have priority over the environment mapping.
    Add handle on environment texture in OpenGl_Workspace.
    Add a new parameter UseEnvironmentTexture to the Graphic3d_ZLayerSettings.
    OSD layers don't use environment texture by default.
    zbuffertrihedron doesn't use environment texture.
    vzlayer can enable/disable environment texture mappping.
    Delete unnecessary files Graphic3d_TypeOfSurfaceDetail.hxx and V3d_TypeOfSurface.hxx.
    Delete functions SurfaceDetailType and SetSurfaceDetailType functions from Graphic3d_CView.
    Delete functions SurfaceDetailState and UpdateSurfaceDetailStateTo from OpenGl_ShaderManager.
    Delete class OpenGl_SurfaceDetailState.
    Delete functions SurfaceDetailType and SetSurfaceDetailType from OpenGl_View.
    Delete functions SetSurfaceDetail and SurfaceDetail() from V3d_View.
    Delete functions SetDefaultSurfaceDetail and DefaultSurfaceDetail from V3d_Viewer.
    Delete draw command VSetTextureMode.
    Add description in dox.
(0052422)
isk (developer)
2016-04-06 10:56

Dear Kirill,
please review the branch CR26434_3 and product branch CR26434.
(0052423)
kgv (developer)
2016-04-06 12:04

@@ -208,6 +208,11 @@ OpenGl_Workspace::~OpenGl_Workspace()
     myLineAttribs.Nullify();
     myGlContext->ReleaseResource ("OpenGl_LineAttributes", Standard_True);
   }
+
+  if (!myEnvironmentTexture.IsNull())
+  {
+    myEnvironmentTexture->Release (myGlContext.operator->());
+  }

although it does not change the current behavior, I believe that it is inconsistent to release resource, not managed by OpenGl_Workspace itself.

It would be better to unset this field using OpenGl_Workspace::SetEnvironmentTexture() within OpenGl_View::renderScene() after it's usage is completed.
@@ -1283,84 +1291,50 @@ void OpenGl_View::renderScene (Graphic3d_Camera::Projection theProjection,
+  // First pass
+  myWorkspace->SetEnvironmentTexture (myTextureEnv);
+  renderStructs (theProjection, theReadDrawFbo, theToDrawImmediate);
+  myWorkspace->DisableTexture();
(0052432)
git (administrator)
2016-04-06 13:06

Branch CR26434_2 has been updated by isk.

SHA-1: 50d146bcc25534a1ad9da27af653569eeb72408a


Detailed log of new commits:

Author: isk
Date: Wed Apr 6 13:04:53 2016 +0300

    Drop redundant release resources from ~OpenGl_Workspace().
    Unset environment texture after OpenGl_View::renderScene().

(0052438)
git (administrator)
2016-04-06 14:08

Branch CR26434_3 has been updated forcibly by isk.

SHA-1: 5cb9f3b3bd3b98c2258903574923bef7346ebe4c
(0052469)
kgv (developer)
2016-04-07 14:45

Please test the patch.
(0052523)
mkv (tester)
2016-04-08 13:15

Dear BugMaster,
Branch CR26434_3 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 5cb9f3b3bd3b98c2258903574923bef7346ebe4c

There are following compilation errors:
Linux:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR26434-3-master/job/CR26434-3-master-Products-Debian70-64-qt-samples-linux/1/parsed_console/ [^]
src/ViewSSP.cxx: In constructor 'ViewSSP::ViewSSP(opencascade::handle<AIS_InteractiveContext>, QWidget*)':
src/ViewSSP.cxx:57:14: error: 'class V3d_View' has no member named 'SetSurfaceDetail'
src/ViewSSP.cxx:57:31: error: 'V3d_TEX_ALL' was not declared in this scope

Windows:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR26434-3-master/job/CR26434-3-master-Products-Windows-64-VC10-csharp-samples/1/parsed_console/ [^]
occtypes.i(370) : Error: Unable to find 'Graphic3d_TypeOfSurfaceDetail.hxx'
occtypes.i(370) : Error: Unable to find 'V3d_TypeOfSurfaceDetail.hxx'
...
1>c1xx : fatal error C1083: Cannot open source file: 'occcsharp_wrap.cxx': No such file or directory
...

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR26434-3-master/job/CR26434-3-master-Products-Windows-64-VC10-java-samples/1/parsed_console/ [^]
...
occtypes.i(313) : Error: Unable to find 'Graphic3d_TypeOfSurfaceDetail.hxx'
occtypes.i(313) : Error: Unable to find 'V3d_TypeOfSurfaceDetail.hxx'
...
CMake Error: CMake can not determine linker language for target: OCCwrapJava
....

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR26434-3-master/job/CR26434-3-master-Products-Windows-64-VC10-qt-samples-windows/1/parsed_console/ [^]
1>src\ViewSSP.cxx(57): error C2039: 'SetSurfaceDetail' : is not a member of 'V3d_View'
1> d:\install\CR26434-3-master\Windows-64-VC10-opt\OCCT\inc\V3d_View.hxx(118) : see declaration of 'V3d_View'
1>src\ViewSSP.cxx(57): error C2065: 'V3d_TEX_ALL' : undeclared identifier

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 68 (68 on master)
Windows: 0 (0 on master)
MacOS : 1118

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26434-3-master-OCCT/Debian70-64/bugs/vis/bug26434.html [^]
http://occt-tests/CR26434-3-master-OCCT/Windows-64-VC10/bugs/vis/bug26434.html [^]
bugs vis bug26434: OK

Testing on Linux:
occt component :
Total MEMORY difference: 88683211 / 89143585 [-0.52%]
Total CPU difference: 19173.929999999982 / 19563.700000000055 [-1.99%]
products component :
Total MEMORY difference: 27034623 / 27039296 [-0.02%]
Total CPU difference: 5287.299999999979 / 5324.019999999985 [-0.69%]

Testing on Windows:
occt component :
Total MEMORY difference: 57528067 / 57545366 [-0.03%]
Total CPU difference: 18127.316199998946 / 17768.279898498855 [+2.02%]
products component :
Total MEMORY difference: 17389985 / 17370131 [+0.11%]
Total CPU difference: 5092.247042399951 / 5014.230942299948 [+1.56%]

There are no differences in images found by testdiff.
(0052524)
mkv (tester)
2016-04-08 13:15

Dear isk,
Branch CR26434_3 has been rejected due to:
- compilation errors
(0052525)
git (administrator)
2016-04-08 14:48

Branch CR26434_3 has been updated forcibly by isk.

SHA-1: 9bbf3aca1eabda5e39bf21ae02fb02544f31546f
(0052528)
isk (developer)
2016-04-08 14:54

Rebase the branch CR26434_3 on the current master.
(0052530)
isk (developer)
2016-04-08 14:56

Please test the patch (OCCT branch CR26434_3, products branch CR26434).
(0052574)
mkv (tester)
2016-04-11 15:44

Dear BugMaster,
Branch CR26434_3 from occt git-repository (and CR26434 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 9bbf3aca1eabda5e39bf21ae02fb02544f31546f
SHA-1: b499e13cebac2bcf9c3e98163955e209f2a74435

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 68 (68 on master)
Windows: 0 (0 on master)
MacOS : 1143

Regressions/Differences/Improvements:
bugs modalg_6 bug26980: FAILED by Jenkins
bugs modalg_6 bug26980: OK by "hands"

Testing cases:
http://occt-tests/CR26434-3-CR26434-OCCT/Debian70-64/bugs/vis/bug26434.html [^]
http://occt-tests/CR26434-3-CR26434-OCCT/Windows-64-VC10/bugs/vis/bug26434.html [^]
bugs vis bug26434: OK

Testing on Linux:
occt component :
Total MEMORY difference: 90210753 / 90532222 [-0.36%]
Total CPU difference: 19440.130000000147 / 19267.950000000044 [+0.89%]
products component :
Total MEMORY difference: 28053428 / 28041300 [+0.04%]
Total CPU difference: 5398.389999999997 / 5487.409999999976 [-1.62%]

Testing on Windows:
occt component :
Total MEMORY difference: 57650635 / 57670803 [-0.03%]
Total CPU difference: 18192.181415798746 / 18096.381201698896 [+0.53%]
products component :
Total MEMORY difference: 19090557 / 19054333 [+0.19%]
Total CPU difference: 5241.992402299959 / 5211.0574039999565 [+0.59%]

There are no differences in images found by testdiff.
(0052575)
mkv (tester)
2016-04-11 15:45

Dear BugMaster,
Branch CR26434_3 is TESTED.
(0054220)
git (administrator)
2016-05-20 12:23

Branch CR26434_3 has been deleted by inv.

SHA-1: 9bbf3aca1eabda5e39bf21ae02fb02544f31546f
(0054223)
git (administrator)
2016-05-20 12:23

Branch CR26434_2 has been deleted by inv.

SHA-1: 50d146bcc25534a1ad9da27af653569eeb72408a
(0054236)
git (administrator)
2016-05-20 12:24

Branch CR26434_1 has been deleted by inv.

SHA-1: 24654c9215cd839c7bd7fc9a3b697866a1fa91e6
(0054237)
git (administrator)
2016-05-20 12:24

Branch CR26434 has been deleted by inv.

SHA-1: 9c4195c24714dea27ab7dff626bea1d0c1c7691e

- Related Changesets
occt: master 83da37b1
Timestamp: 2016-03-29 04:22:42
Author: isk
Committer: bugmaster
Details ] Diff ]
0026434: Visualization - Textured objects should have priority over the environment mapping.
Add handle on environment texture in OpenGl_Workspace.
Add a new parameter UseEnvironmentTexture to the Graphic3d_ZLayerSettings.
OSD layers don't use environment texture by default.
zbuffertrihedron doesn't use environment texture.
vzlayer can enable/disable environment texture mappping.
Delete unnecessary files Graphic3d_TypeOfSurfaceDetail.hxx and V3d_TypeOfSurface.hxx.
Delete functions SurfaceDetailType and SetSurfaceDetailType functions from Graphic3d_CView.
Delete functions SurfaceDetailState and UpdateSurfaceDetailStateTo from OpenGl_ShaderManager.
Delete class OpenGl_SurfaceDetailState.
Delete functions SurfaceDetailType and SetSurfaceDetailType from OpenGl_View.
Delete functions SetSurfaceDetail and SurfaceDetail() from V3d_View.
Delete functions SetDefaultSurfaceDetail and DefaultSurfaceDetail from V3d_Viewer.
Delete draw command VSetTextureMode.
Add description in dox.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - samples/mfc/occtdemo/Textures/Textures_Presentation.cpp Diff ] File ]
mod - samples/mfc/occtdemo/TexturesExt/TexturesExt_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/TexturesExt_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_2dView.cpp Diff ] File ]
mod - samples/qt/Common/src/DocumentCommon.cxx Diff ] File ]
mod - samples/qt/Common/src/View.cxx Diff ] File ]
mod - samples/tcl/dimensions.tcl Diff ] File ]
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_TypeOfSurfaceDetail.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ZLayerSettings.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Layer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_NamedStatus.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderStates.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
mod - src/V3d/FILES Diff ] File ]
rm - src/V3d/V3d_TypeOfSurfaceDetail.hxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/V3d/V3d_Viewer.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]
mod - tests/bugs/vis/bug24622 Diff ] File ]
add - tests/bugs/vis/bug26434 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-14 17:12 duv New Issue
2015-07-14 17:12 duv Assigned To => duv
2015-07-14 17:12 duv Status new => assigned
2015-07-14 17:38 git Note Added: 0043012
2015-07-14 17:48 duv Assigned To duv => san
2015-07-14 17:48 duv Status assigned => resolved
2015-07-14 17:48 duv Steps to Reproduce Updated View Revisions
2015-07-14 19:32 san Note Added: 0043017
2015-07-14 19:32 san Assigned To san => duv
2015-07-14 19:32 san Status resolved => assigned
2015-11-17 15:55 kgv Target Version 7.0.0 => 7.1.0
2015-11-17 15:55 kgv Summary Textured objects should have priority over the environment mapping => Visualization - Textured objects should have priority over the environment mapping
2015-11-17 15:55 kgv Steps to Reproduce Updated View Revisions
2015-11-17 15:56 kgv Assigned To duv => kgv
2015-12-11 11:05 kgv Assigned To kgv => isk
2015-12-11 13:04 git Note Added: 0049021
2015-12-11 13:04 isk Note Added: 0049022
2015-12-11 13:05 isk Steps to Reproduce Updated View Revisions
2015-12-11 13:45 isk Note Added: 0049029
2015-12-11 13:45 isk Assigned To isk => kgv
2015-12-11 13:45 isk Status assigned => resolved
2015-12-11 14:01 git Note Added: 0049031
2015-12-11 14:02 isk Note Added: 0049032
2015-12-11 14:23 isk Assigned To kgv => isk
2015-12-11 14:23 isk Status resolved => assigned
2016-01-28 14:51 git Note Added: 0050196
2016-01-28 16:49 isk Note Added: 0050214
2016-01-28 16:59 isk Note Deleted: 0050214
2016-01-28 17:20 git Note Added: 0050216
2016-01-28 17:21 isk Note Added: 0050217
2016-01-29 08:20 isk Note Added: 0050219
2016-01-29 08:20 isk Assigned To isk => kgv
2016-01-29 08:20 isk Status assigned => resolved
2016-01-30 17:52 kgv Note Added: 0050262
2016-01-30 17:52 kgv Assigned To kgv => isk
2016-01-30 17:52 kgv Status resolved => assigned
2016-02-02 11:13 git Note Added: 0050332
2016-02-02 12:25 git Note Added: 0050333
2016-02-02 14:21 git Note Added: 0050338
2016-02-02 14:23 git Note Added: 0050339
2016-02-02 14:24 isk Note Added: 0050340
2016-02-02 14:28 isk Note Added: 0050341
2016-02-02 14:28 isk Assigned To isk => kgv
2016-02-02 14:28 isk Status assigned => resolved
2016-02-02 14:59 git Note Added: 0050344
2016-02-04 13:32 git Note Added: 0050416
2016-02-05 10:55 git Note Added: 0050434
2016-02-17 14:25 git Note Added: 0050871
2016-03-18 15:20 kgv Note Added: 0051787
2016-03-18 15:20 kgv Assigned To kgv => isk
2016-03-18 15:20 kgv Status resolved => assigned
2016-03-24 13:27 git Note Added: 0051947
2016-03-25 10:29 git Note Added: 0051971
2016-03-25 13:25 git Note Added: 0051996
2016-03-25 14:02 git Note Added: 0052000
2016-03-25 14:03 isk Note Added: 0052001
2016-03-25 15:35 git Note Added: 0052016
2016-03-28 08:43 kgv Note Added: 0052047
2016-03-28 08:43 kgv Assigned To isk => bugmaster
2016-03-28 08:43 kgv Status assigned => resolved
2016-03-28 08:43 kgv Status resolved => reviewed
2016-03-28 09:14 kgv Assigned To bugmaster => isk
2016-03-28 09:14 kgv Status reviewed => assigned
2016-03-28 15:21 git Note Added: 0052072
2016-03-29 07:52 git Note Added: 0052091
2016-03-29 07:54 isk Note Added: 0052092
2016-03-29 07:54 isk Assigned To isk => kgv
2016-03-29 07:54 isk Status assigned => resolved
2016-03-29 11:33 kgv Note Added: 0052100
2016-03-29 11:33 kgv Assigned To kgv => bugmaster
2016-03-29 11:33 kgv Status resolved => reviewed
2016-03-29 12:21 apv Assigned To bugmaster => apv
2016-03-29 12:48 git Note Added: 0052105
2016-03-29 12:48 apv Note Added: 0052106
2016-03-30 12:56 apv Test case number => bugs vis bug26434
2016-03-30 13:11 apv Note Added: 0052179
2016-03-30 13:11 apv Assigned To apv => isk
2016-03-30 13:11 apv Status reviewed => assigned
2016-03-30 13:13 apv Note Edited: 0052179 View Revisions
2016-03-30 13:15 apv Note Added: 0052180
2016-04-01 11:54 git Note Added: 0052282
2016-04-06 10:45 git Note Added: 0052421
2016-04-06 10:56 isk Note Added: 0052422
2016-04-06 10:56 isk Assigned To isk => kgv
2016-04-06 10:56 isk Status assigned => resolved
2016-04-06 12:04 kgv Note Added: 0052423
2016-04-06 12:04 kgv Assigned To kgv => isk
2016-04-06 12:04 kgv Severity minor => integration request
2016-04-06 12:04 kgv Status resolved => assigned
2016-04-06 13:06 git Note Added: 0052432
2016-04-06 14:08 git Note Added: 0052438
2016-04-07 14:43 isk Assigned To isk => kgv
2016-04-07 14:43 isk Status assigned => resolved
2016-04-07 14:45 kgv Note Added: 0052469
2016-04-07 14:45 kgv Assigned To kgv => bugmaster
2016-04-07 14:45 kgv Status resolved => reviewed
2016-04-07 18:13 mkv Assigned To bugmaster => mkv
2016-04-08 13:15 mkv Note Added: 0052523
2016-04-08 13:15 mkv Note Added: 0052524
2016-04-08 13:15 mkv Assigned To mkv => isk
2016-04-08 13:15 mkv Status reviewed => assigned
2016-04-08 14:48 git Note Added: 0052525
2016-04-08 14:54 isk Note Added: 0052528
2016-04-08 14:55 isk Assigned To isk => kgv
2016-04-08 14:55 isk Status assigned => resolved
2016-04-08 14:56 isk Note Added: 0052530
2016-04-08 14:56 isk Assigned To kgv => bugmaster
2016-04-08 14:56 isk Status resolved => reviewed
2016-04-08 15:30 mkv Assigned To bugmaster => mkv
2016-04-11 15:44 mkv Note Added: 0052574
2016-04-11 15:45 mkv Note Added: 0052575
2016-04-11 15:45 mkv Assigned To mkv => bugmaster
2016-04-11 15:45 mkv Status reviewed => tested
2016-04-22 16:48 bugmaster Changeset attached => occt master 83da37b1
2016-04-22 16:48 bugmaster Status tested => verified
2016-04-22 16:48 bugmaster Resolution open => fixed
2016-05-20 12:23 git Note Added: 0054220
2016-05-20 12:23 git Note Added: 0054223
2016-05-20 12:24 git Note Added: 0054236
2016-05-20 12:24 git Note Added: 0054237
2016-10-13 12:46 kgv Relationship added related to 0025884
2016-10-13 12:48 kgv Relationship replaced has duplicate 0025884
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker